@charset "utf-8";

:root {
  /* PC (基準幅: 1300px) */
  --size-4: min(0.3077vw, 4px);
  --size-5: min(0.3846vw, 5px);
  --size-6: min(0.4615vw, 6px);
  --size-8: min(0.6154vw, 8px);
  --size-9: min(0.6923vw, 9px);
  --size-10: min(0.7692vw, 10px);
  --size-11: min(0.8462vw, 11px);
  --size-12: min(0.9231vw, 12px);
  --size-13: min(1vw, 13px);
  --size-14: min(1.0769vw, 14px);
  --size-15: min(1.1538vw, 15px);
  --size-16: min(1.2308vw, 16px);
  --size-17: min(1.3077vw, 17px);
  --size-18: min(1.3846vw, 18px);
  --size-19: min(1.4615vw, 19px);
  --size-20: min(1.5385vw, 20px);
  --size-21: min(1.6154vw, 21px);
  --size-22: min(1.6923vw, 22px);
  --size-23: min(1.7692vw, 23px);
  --size-24: min(1.8462vw, 24px);
  --size-25: min(1.9231vw, 25px);
  --size-26: min(2vw, 26px);
  --size-27: min(2.0769vw, 27px);
  --size-28: min(2.1538vw, 28px);
  --size-30: min(2.3077vw, 30px);
  --size-32: min(2.4615vw, 32px);
  --size-34: min(2.6154vw, 34px);
  --size-36: min(2.7692vw, 36px);
  --size-40: min(3.0769vw, 40px);
  --size-41: min(3.1538vw, 41px);
  --size-45: min(3.4615vw, 45px);
  --size-44: min(3.3846vw, 44px);
  --size-48: min(3.6923vw, 48px);
  --size-50: min(3.8462vw, 50px);
  --size-52: min(4vw, 52px);
  --size-56: min(4.3077vw, 56px);
  --size-60: min(4.6154vw, 60px);
  --size-64: min(4.9231vw, 64px);
  --size-68: min(5.2308vw, 68px);
  --size-70: min(5.3846vw, 70px);
  --size-72: min(5.5385vw, 72px);
  --size-76: min(5.8462vw, 76px);
  --size-80: min(6.1538vw, 80px);
  --size-84: min(6.4615vw, 84px);
  --size-88: min(6.7692vw, 88px);
  --size-90: min(6.9231vw, 90px);
  --size-96: min(7.3846vw, 96px);
  --size-100: min(7.6923vw, 100px);
  --size-105: min(8.0769vw, 105px);
  --size-120: min(9.2308vw, 120px);
  --size-180: min(13.8462vw, 180px);

  --color-bg: #fffbdc;
  --color-black: #282727;
  --color-white: #fff;
  --color-primary: #4b150c;
  --color-brown: #6f443d;
  --color-yellow: #fff04c;
  --color-blue: #2c4aaa;
  --color-light-blue: #68d2dd;
  --color-light-blue-2: #86dbe4;
  --color-light-blue-3: #d2efef;

  @media (max-width: 767px) {
    /* SP (基準幅: 400px / ブレイクポイント: 768px) */
    --size-4: max(1vw, 4px);
    --size-5: max(1.25vw, 5px);
    --size-6: max(1.5vw, 6px);
    --size-8: max(2vw, 8px);
    --size-9: max(2.25vw, 9px);
    --size-10: max(2.5vw, 10px);
    --size-12: max(3vw, 12px);
    --size-13: max(3.25vw, 13px);
    --size-14: max(3.5vw, 14px);
    --size-15: max(3.75vw, 15px);
    --size-16: max(4vw, 16px);
    --size-17: max(4.25vw, 17px);
    --size-18: max(4.5vw, 18px);
    --size-19: max(4.75vw, 19px);
    --size-20: max(5vw, 20px);
    --size-21: max(5.25vw, 21px);
    --size-22: max(5.5vw, 22px);
    --size-23: max(5.75vw, 23px);
    --size-24: max(6vw, 24px);
    --size-25: max(6.25vw, 25px);
    --size-26: max(6.5vw, 26px);
    --size-28: max(7vw, 28px);
    --size-30: max(7.5vw, 30px);
    --size-32: max(8vw, 32px);
    --size-36: max(9vw, 36px);
    --size-40: max(10vw, 40px);
    --size-44: max(11vw, 44px);
    --size-45: max(11.25vw, 45px);
    --size-48: max(12vw, 48px);
    --size-50: max(12.5vw, 50px);
    --size-52: max(13vw, 52px);
    --size-56: max(14vw, 56px);
    --size-60: max(15vw, 60px);
    --size-64: max(16vw, 64px);
    --size-68: max(17vw, 68px);
    --size-70: max(17.5vw, 70px);
    --size-72: max(18vw, 72px);
    --size-76: max(19vw, 76px);
    --size-80: max(20vw, 80px);
    --size-84: max(21vw, 84px);
    --size-88: max(22vw, 88px);
    --size-90: max(22.5vw, 90px);
    --size-96: max(24vw, 96px);
    --size-100: max(25vw, 100px);
    --size-105: max(26.25vw, 105px);
    --size-120: max(30vw, 120px);
  }
}

* {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
  font-family: "IBM Plex Sans JP", sans-serif;
  font-size: var(--size-16);
  line-height: 1.6;
  letter-spacing: -2%;
  color: var(--color-black);
  background-color: var(--color-bg);
  overflow-x: hidden;
  scroll-behavior: smooth;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
  padding: 0;
}
a {
  display: grid;
  text-decoration: none;
}
img {
  display: inline-block;
  inline-size: 100%;
  block-size: auto;
}
summary,
ul,
ol {
  list-style: none;
}
ol {
  marigin: 0;
  padding: 0;
}
ul {
  margin: 0;
  padding: 0;
}
button {
  margin: 0;
  padding: 0;
  border: none;
  background-color: transparent;
  cursor: pointer;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}
.font-montserrat {
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  font-style: normal;
}
.font-noto {
  font-family: "Noto Sans JP", sans-serif;
  font-weight: 400;
  font-style: normal;
}
.content-inner {
  max-inline-size: 1300px;
  margin-inline: auto;
  padding-inline: min(11.538vw, 150px);
}

.btn-border {
  position: relative;
  display: block;
  inline-size: min(19.692vw, 256px);
  margin-block-start: var(--size-14);
  margin-inline: auto;
  padding-block: var(--size-12) var(--size-10);
  text-align: center;
  color: var(--color-blue);
  font-weight: 500;
  letter-spacing: 0.06em;
  border: 1px solid var(--color-blue);
  border-radius: 100vmax;
  z-index: 1;
  overflow: hidden;
  transition: color 0.3s ease-in-out;
}
.btn-border::before {
  position: absolute;
  content: "";
  inset-inline-start: 50%;
  inset-block-start: 0;
  transform: translateX(-50%);
  inline-size: 0;
  block-size: 100%;
  background-color: var(--color-blue);
  z-index: -1;
  transition: inline-size 0.3s ease-in-out;
}
.btn-border::after {
  position: absolute;
  content: "";
  inset-inline-end: var(--size-14);
  inset-block-start: 50%;
  transform: translateY(-50%);
  inline-size: var(--size-24);
  block-size: var(--size-24);
  background-image: url(../images/common/icon-arrow.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.btn-border:hover::before {
  inline-size: 101%;
}
.btn-border:hover::after {
  background-image: url(../images/common/icon-arrow_hov.svg);
}
.btn-border:hover {
  color: var(--color-white);
}

.sp-only {
  display: none;
}
@media (max-width: 767px) {
  .sp-only {
    display: block;
  }
  .pc-only {
    display: none;
  }
  .content-inner {
    padding-inline: var(--size-20);
  }
  .btn-border {
    inline-size: 100%;
    margin-block-start: var(--size-20);
    font-size: var(--size-17);
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out;
  }
  .btn-border:hover {
    color: var(--color-white);
    background-color: var(--color-blue);
  }
  .btn-border::before {
    content: none;
  }
  .btn-border::after {
    inline-size: var(--size-28);
    block-size: var(--size-28);
  }
}

@keyframes floatCloud {
  0%,
  100% {
    transform: translate3d(0, 0, 0);
  }
  25% {
    transform: translate3d(min(0.6vw, 8px), calc(min(1vw, 12px) * -1), 0);
  }
  50% {
    transform: translate3d(
      calc(min(0.4vw, 5px) * -1),
      calc(min(0.5vw, 6px) * -1),
      0
    );
  }
  75% {
    transform: translate3d(min(0.5vw, 6px), calc(min(1.2vw, 14px) * -1), 0);
  }
}
@keyframes floatCloudSp {
  0%,
  100% {
    transform: translate3d(0, 0, 0);
  }
  25% {
    transform: translate3d(max(1.5vw, 6px), calc(max(2vw, 8px) * -1), 0);
  }
  50% {
    transform: translate3d(
      calc(max(1vw, 4px) * -1),
      calc(max(1.5vw, 6px) * -1),
      0
    );
  }
  75% {
    transform: translate3d(max(1.25vw, 5px), calc(max(2.5vw, 10px) * -1), 0);
  }
}
@keyframes fadeInBounceIcons {
  0% {
    visibility: hidden;
    opacity: 0;
    transform: scale(0);
  }
  20% {
    visibility: visible;
    opacity: 1;
    transform: scale(0.9);
  }
  40% {
    opacity: 1;
    transform: scale(1.02);
  }
  100% {
    visibility: visible;
    opacity: 1;
    transform: scale(1);
  }
}
@keyframes fadeInBounceCircle {
  0% {
    visibility: hidden;
    opacity: 0;
    transform: translate(-50%, -50%) scale(0);
  }
  20% {
    visibility: visible;
    opacity: 1;
    transform: translate(-50%, -50%) scale(0.9);
  }
  40% {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1.02);
  }
  100% {
    visibility: visible;
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
  }
}
